Sync exactimage 0.8.0-7 (universe) from Debian experimental (main)

Bug #583106 reported by Stefano Rivera
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
exactimage (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync exactimage 0.8.0-7 (universe) from Debian experimental (main)

Explanation of the Ubuntu delta and why it can be dropped:
Python 2.6 build fixes were fixed in Debian in 0.8.0-7.
Duplicated Section field removed in 0.7.5-1
-bdg description fixed in 0.7.5-1

Changelog entries since current maverick version 0.7.4-3ubuntu2:

exactimage (0.8.0-7) experimental; urgency=low

  * Remove bogus Python modules directory created by upstream Makefile. Thanks
    to Stefano Rivera for the bug report.

 -- Jakub Wilk <email address hidden> Wed, 19 May 2010 22:10:10 +0200

exactimage (0.8.0-5) experimental; urgency=low

  * Patch the configure script to make detection of Perl more robust
    (closes: #578549). Thanks to Niko Tyni for the bug report.
    [configure-perl-detection.diff]

 -- Jakub Wilk <email address hidden> Wed, 21 Apr 2010 00:10:28 +0200

exactimage (0.8.0-3) experimental; urgency=low

  * Merge from unstable:
    + New upstream release.
    + Disable dead code in utility/Timer.cc, as it is causing build failures on
      some architectures. [utility-timer-syntax-error.diff]
    + Build extensions for all supported Python versions.
    + Add ‘Q=’ to each make invocation to make build process more verbose.
    + Embedded copy of AGG is no longer shipped; remove references from
      debian/copyright.
    + Fix typos in the econvert manual page. [econvert-typo.diff]
    + Don't trigger errors on --help (closes: #574880, #574885, #574890).
      [e2mtiff-help.diff, empty-page-help.diff, optimize2bw-help.diff]
    + Install Perl modules into the correct directory (closes: #575749).
      Thanks to Bruce Stephens for the bug report.
    + In order to comply with Perl Policy 4.2, rename exactimage-perl to
      libexactimage-perl (closes: #575935). Thanks to Ansgar Burchardt for the
      bug report.
    + Rewrite manual pages in DocBook XML from scratch.

 -- Jakub Wilk <email address hidden> Mon, 12 Apr 2010 23:25:49 +0200

exactimage (0.7.5-4) experimental; urgency=low

  * Merge from unstable:
    + Fix FTBFS with Python 2.6 as the default version (closes: #571209).
  * Improve package descriptions (both in debian/control and in manual pages).
  * Shorten “SEE ALSO” sections of manual pages.
  * Provide a manual page for edisplay.
  * Install MIME information for edisplay.

 -- Jakub Wilk <email address hidden> Mon, 01 Mar 2010 20:29:51 +0100

exactimage (0.7.5-2) experimental; urgency=low

  + Build edisplay (closes: #520975):
    - Build depend on libevas-dev and libxrender-dev.
    - Automatically generate dependencies on libevas*-engines-x.
    - Restore references to edisplay in package description and in manual pages.

 -- Jakub Wilk <email address hidden> Tue, 16 Feb 2010 19:17:23 +0100

exactimage (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (closes: #543838).
  * Switch to source format 3.0 (quilt).
  * Various improvements in package building:
    + Add ‘X_SYSTEM=Linux’ to each make invocation to enable compilation on
      non-Linux systems.
    + Fix building Python modules (closes: #568671):
      - Add XS-Python-Version header.
      - Build depend on python-dev (>= 2.5.4) rather than python-all-dev (for
        now, only modules for the current Python version are built).
      - As upstream Makefile always put the modules in 2.5 directory, move
        them into the right one in debian/rules.
      - Move *.so with detached symbols to a directory where gdb will expect
        it.
      - Update debian/*.install to catch both site-packages and dist-packages.
      - Drop debian/pycompat.
    + Fix syntax and name errors. [utility-timer-syntax-error.diff,
      edisplay-dpy.diff]
    + Link with system copy of AGG (closes: #570089):
      - Update debian/rules.
      - Add missing includes. [agg-missing-includes.diff]
      - Use PIC version of static AGG library. [agg-pic.diff]
    + Don't let the configure script be called more that once.
    + Produce debugging information for the core library.
    + Respect the ‘noopt’ build option.
      [makefile-cflags.diff]
    + Use LDFLAGS=-Wl,--as-needed to avoid superfluous runtime dependencies.
  * Fix exactimage-dbg package description.
  * Remove duplicate section field for the binary package.
  * Add ‘Depends: ${misc:Depends}’ to binary packages.
  * Add watchfile.
  * Fix typos: in the manual pages and in frontends/econvert.cc.
    [econvert-typo.diff]
  * Bump standards version to 3.8.4 (no changes needed).
  * Add Vcs-* fields.
  * Remove all references to edisplay, as Debian package cannot ship it for
    now (see bug #520975).
  * Update debian/copyright; convert it to the DEP-5 format.

 -- Jakub Wilk <email address hidden> Tue, 16 Feb 2010 18:34:31 +0100

Revision history for this message
Stefano Rivera (stefanor) wrote :

Is there any way to ensure that future automatic syncs for this will come from experimental?

The version in experimental builds an additional package (edisplay) against evas, which Debian testing doesn't ship but Ubuntu does.

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=520975

Revision history for this message
Benjamin Drung (bdrung) wrote :

No, there is currently no way to sync automatically from experimental. You have to request the sync or use syncpackage (if you have upload rights).

Changed in exactimage (Ubuntu):
importance: Undecided → Wishlist
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (4.0 KiB)

This bug was fixed in the package exactimage - 0.8.0-7

---------------
exactimage (0.8.0-7) experimental; urgency=low

  * Remove bogus Python modules directory created by upstream Makefile. Thanks
    to Stefano Rivera for the bug report.

exactimage (0.8.0-5) experimental; urgency=low

  * Patch the configure script to make detection of Perl more robust
    (closes: #578549). Thanks to Niko Tyni for the bug report.
    [configure-perl-detection.diff]

exactimage (0.8.0-3) experimental; urgency=low

  * Merge from unstable:
    + New upstream release.
    + Disable dead code in utility/Timer.cc, as it is causing build failures on
      some architectures. [utility-timer-syntax-error.diff]
    + Build extensions for all supported Python versions.
    + Add ‘Q=’ to each make invocation to make build process more verbose.
    + Embedded copy of AGG is no longer shipped; remove references from
      debian/copyright.
    + Fix typos in the econvert manual page. [econvert-typo.diff]
    + Don't trigger errors on --help (closes: #574880, #574885, #574890).
      [e2mtiff-help.diff, empty-page-help.diff, optimize2bw-help.diff]
    + Install Perl modules into the correct directory (closes: #575749).
      Thanks to Bruce Stephens for the bug report.
    + In order to comply with Perl Policy 4.2, rename exactimage-perl to
      libexactimage-perl (closes: #575935). Thanks to Ansgar Burchardt for the
      bug report.
    + Rewrite manual pages in DocBook XML from scratch.

exactimage (0.7.5-4) experimental; urgency=low

  * Merge from unstable:
    + Fix FTBFS with Python 2.6 as the default version (closes: #571209).
  * Improve package descriptions (both in debian/control and in manual pages).
  * Shorten “SEE ALSO” sections of manual pages.
  * Provide a manual page for edisplay.
  * Install MIME information for edisplay.

exactimage (0.7.5-2) experimental; urgency=low

  + Build edisplay (closes: #520975):
    - Build depend on libevas-dev and libxrender-dev.
    - Automatically generate dependencies on libevas*-engines-x.
    - Restore references to edisplay in package description and in manual pages.

exactimage (0.7.5-1) unstable; urgency=low

  * New upstream release.
  * New maintainer (closes: #543838).
  * Switch to source format 3.0 (quilt).
  * Various improvements in package building:
    + Add ‘X_SYSTEM=Linux’ to each make invocation to enable compilation on
      non-Linux systems.
    + Fix building Python modules (closes: #568671):
      - Add XS-Python-Version header.
      - Build depend on python-dev (>= 2.5.4) rather than python-all-dev (for
        now, only modules for the current Python version are built).
      - As upstream Makefile always put the modules in 2.5 directory, move
        them into the right one in debian/rules.
      - Move *.so with detached symbols to a directory where gdb will expect
        it.
      - Update debian/*.install to catch both site-packages and dist-packages.
      - Drop debian/pycompat.
    + Fix syntax and name errors. [utility-timer-syntax-error.diff,
      edisplay-dpy.diff]
    + Link with system copy of AGG (closes: #570089):
      - Update debian/rules.
      - Add missing includes. [...

Read more...

Changed in exactimage (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.